## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JWalker.GetNextBuilder

    java.lang.Object
      org.opennms.netmgt.snmp.PduBuilder
          org.opennms.netmgt.snmp.snmp4j.Snmp4JWalker.Snmp4JPduBuilder
              org.opennms.netmgt.snmp.snmp4j.Snmp4JWalker.GetNextBuilder

Enclosing class:
  Snmp4JWalker

    public class Snmp4JWalker.GetNextBuilder

extends Snmp4JWalker.Snmp4JPduBuilder

Method Summary
`void` `addOid(org.opennms.netmgt.snmp.SnmpObjId snmpObjId)`
`org.snmp4j.PDU` `getPdu()`
`void` `reset()`
`void` `setMaxRepetitions(int maxRepititions)`
`void` `setNonRepeaters(int numNonRepeaters)`

Methods inherited from class org.opennms.netmgt.snmp.PduBuilder
`getMaxVarsPerPdu, setMaxVarsPerPdu`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### reset

    public void reset()

### getPdu

    public org.snmp4j.PDU getPdu()

  Specified by:
    `getPdu` in class `Snmp4JWalker.Snmp4JPduBuilder`

### addOid

    public void addOid(org.opennms.netmgt.snmp.SnmpObjId snmpObjId)

  Specified by:
    `addOid` in class `org.opennms.netmgt.snmp.PduBuilder`

### setNonRepeaters

    public void setNonRepeaters(int numNonRepeaters)

  Specified by:
    `setNonRepeaters` in class `org.opennms.netmgt.snmp.PduBuilder`

### setMaxRepetitions

    public void setMaxRepetitions(int maxRepititions)

  Specified by:
    `setMaxRepetitions` in class `org.opennms.netmgt.snmp.PduBuilder`

Copyright © 2010. All Rights Reserved.